> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riona.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Video Daily Stats

> Get video daily stats over a selected number of days.

<ResponseExample>
  ```json 200 theme={null}
  {
    "status": {
      "code": 200,
      "message": "OK"
    },
    "dailyStats": [
      {
        "id": "930069ae0c704585ac9c3802f1c35c18",
        "date": "01-08-2025",
        "dateISO": "2025-08-01T06:27:41.000Z",
        "viewCount": 210820295,
        "viewCountDelta": 24110,
        "estimatedRevenueUsd": 120,
        "estimatedLowRevenueUsd": 63,
        "estimatedHighRevenueUsd": 177,
        "rollingRevenue": 1053894,
        "rollingLowRevenue": 558461,
        "rollingHighRevenue": 1549328
      },
      {
        "id": "dd348e9ac90b4966a88a849bc4bafbce",
        "date": "01-08-2025",
        "dateISO": "2025-08-01T03:20:41.000Z",
        "viewCount": 210796185,
        "viewCountDelta": 209763,
        "estimatedRevenueUsd": 1048,
        "estimatedLowRevenueUsd": 555,
        "estimatedHighRevenueUsd": 1541,
        "rollingRevenue": 1053774,
        "rollingLowRevenue": 558398,
        "rollingHighRevenue": 1549151
      },
      {
        "id": "9eb4dfc8e3d04ec080500d8d9dda5036",
        "date": "31-07-2025",
        "dateISO": "2025-07-31T03:20:45.000Z",
        "viewCount": 210586422,
        "viewCountDelta": 202219,
        "estimatedRevenueUsd": 1010,
        "estimatedLowRevenueUsd": 535,
        "estimatedHighRevenueUsd": 1486,
        "rollingRevenue": 1052726,
        "rollingLowRevenue": 557843,
        "rollingHighRevenue": 1547610
      },
      {
        "id": "86b9d83b4f8b403f8fbe28fda00ced74",
        "date": "30-07-2025",
        "dateISO": "2025-07-30T03:20:56.000Z",
        "viewCount": 210384203,
        "viewCountDelta": 195094,
        "estimatedRevenueUsd": 974,
        "estimatedLowRevenueUsd": 516,
        "estimatedHighRevenueUsd": 1433,
        "rollingRevenue": 1051716,
        "rollingLowRevenue": 557308,
        "rollingHighRevenue": 1546124
      },
      {
        "id": "13088c38f92e444289ccff2c39b73c07",
        "date": "29-07-2025",
        "dateISO": "2025-07-29T03:22:22.000Z",
        "viewCount": 210189109,
        "viewCountDelta": 214053,
        "estimatedRevenueUsd": 1070,
        "estimatedLowRevenueUsd": 567,
        "estimatedHighRevenueUsd": 1573,
        "rollingRevenue": 1050741,
        "rollingLowRevenue": 556792,
        "rollingHighRevenue": 1544691
      },
      {
        "id": "9ba82378ba4e477386b3633d5d59ac31",
        "date": "28-07-2025",
        "dateISO": "2025-07-28T03:23:05.000Z",
        "viewCount": 209975056,
        "viewCountDelta": 233917,
        "estimatedRevenueUsd": 1169,
        "estimatedLowRevenueUsd": 619,
        "estimatedHighRevenueUsd": 1719,
        "rollingRevenue": 1049671,
        "rollingLowRevenue": 556225,
        "rollingHighRevenue": 1543118
      },
      {
        "id": "591ce53133594dbf92e59fbcf0bb9d71",
        "date": "27-07-2025",
        "dateISO": "2025-07-27T03:22:09.000Z",
        "viewCount": 209741139,
        "viewCountDelta": 220511,
        "estimatedRevenueUsd": 1102,
        "estimatedLowRevenueUsd": 584,
        "estimatedHighRevenueUsd": 1620,
        "rollingRevenue": 1048502,
        "rollingLowRevenue": 555606,
        "rollingHighRevenue": 1541399
      },
      {
        "id": "e4496c751df7421bb194a16a7797f9a5",
        "date": "26-07-2025",
        "dateISO": "2025-07-26T03:19:10.000Z",
        "viewCount": 209520628,
        "viewCountDelta": 171607,
        "estimatedRevenueUsd": 857,
        "estimatedLowRevenueUsd": 454,
        "estimatedHighRevenueUsd": 1261,
        "rollingRevenue": 1047400,
        "rollingLowRevenue": 555022,
        "rollingHighRevenue": 1539779
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml api-reference/openapi-3.0.json get /wf/youtube-videos-stats-daily
openapi: 3.0.3
info:
  title: Riona API Docs
  version: 1.0.0
  contact:
    email: info@riona.ai
    url: https://riona.ai
servers:
  - url: https://riona.ai/api/1.1
security:
  - bearerAuth: []
tags:
  - name: Workflow
    description: Use this to trigger a workflow
  - name: Data
    description: Use this to fetch, modify and delete data
paths:
  /wf/youtube-videos-stats-daily:
    get:
      tags:
        - Workflow
      description: Triggers the workflow youtube-videos-stats-daily
      operationId: get_wf_youtube-videos-stats-daily
      parameters:
        - name: video_id
          in: query
          required: true
          description: >-
            Possible Examples: Full url:
            `https://www.youtube.com/watch?v=KkCXLABwHP0` OR video_id:
            `KkCXLABwHP0`
          schema:
            type: string
        - name: sortDateDesc
          in: query
          required: true
          description: '`true` = sort by newest | `false` = sort by oldest'
          schema:
            type: boolean
        - name: days
          in: query
          required: true
          description: >-
            possible options:


            - `first_24_hours` : Time-lapse stats for the first 24 hours of
            publishing video.

            - `last_7_days` : Stats of the Last 7 Days.

            - `last_14_days` : Stats of the Last 14 Days.

            - `last_30_days` : Stats of the Last 30 Days.

            - `Since_published` : a comprehensive daily stats since publishing
            video.
          schema:
            type: string
        - name: masterID
          in: query
          required: false
          description: >-
            If you would like to get the channel details, add the **masterID**
            of that social account. You can get this id from **Get Profile by
            URL** OR **Get Channel Details**
          schema:
            type: string
        - name: api_key
          in: query
          required: true
          description: >-
            This is your account API Key. You can easily locate it in your
            account dashboard.
          schema:
            type: string
      responses:
        '200':
          description: OK
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````